Dallas Semiconductor 1-Wire API 1.00 Alpha: Class OneWireContainer1A

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dalsemi.onewire.container
Class OneWireContainer1A

    java.lang.Object
      |
      +--com.dalsemi.onewire.container.OneWireContainer
            |
            +--com.dalsemi.onewire.container.OneWireContainer1A

public class OneWireContainer1A
extends OneWireContainer

1-Wire container for 512 byte memory iButton with write cycle counters, DS1963L. This container encapsulates the functionality of the iButton family type 1A (hex)

This iButton is primarily used as a read/write portable memory device that provides tamper detection when utilizing the write counters.

### Features

- 4096 bits (512 bytes) of read/write nonvolatile memory
- 256-bit (32-byte) scratchpad ensures integrity of data transfer
- Memory partitioned into 256-bit (32-byte) pages for packetizing data
- Data integrity assured with strict read/write protocols
- Overdrive mode boosts communication to 142 kbits per second
- Four 32-bit read-only non rolling-over page write cycle counters
- 32 factory-preset tamper-detect bits to indicate physical intrusion
- On-chip 16-bit CRC generator for safeguarding data transfers
- Operating temperature range from -40°C to +70°C
- Over 10 years of data retention

### Memory

The memory can be accessed through the objects that are returned from the `getMemoryBanks` method.

The following is a list of the MemoryBank instances that are returned:

- Scratchpad Ex
  - Implements `MemoryBank`, `PagedMemoryBank`
  - Size 32 starting at physical address 0
  - Features Read/Write not-general-purpose volatile
  - Pages 1 pages of length 32 bytes
  - Extra information for each page Target address, offset, length 3
- Main Memory
  - Implements `MemoryBank`, `PagedMemoryBank`
  - Size 384 starting at physical address 0
  - Features Read/Write general-purpose non-volatile
  - Pages 12 pages of length 32 bytes giving 29 bytes Packet data payload
  - Page Features page-device-CRC
- Memory with write cycle counter
  - Implements `MemoryBank`, `PagedMemoryBank`
  - Size 128 starting at physical address 384
  - Features Read/Write general-purpose non-volatile
  - Pages 4 pages of length 32 bytes giving 29 bytes Packet data payload
  - Page Features page-device-CRC
  - Extra information for each page Write cycle counter, length 8

### Usage

  See the usage example in `OneWireContainer` to enumerate the MemoryBanks.
  See the usage examples in `MemoryBank` and `PagedMemoryBank` for bank specific operations.

### DataSheet

  http://pdfserv.maxim-ic.com/arpdf/DS1963L.pdf

Version:
  0.00, 28 Aug 2000
See Also:
  `MemoryBank`, `PagedMemoryBank`, `OneWireContainer18`

Constructor Summary
`OneWireContainer1A()` Create an empty container that is not complete until after a call to `setupContainer`.
`OneWireContainer1A(DSPortAdapter sourceAdapter, byte[] newAddress)` Create a container with the provided adapter instance and the address of the iButton or 1-Wire device.
`OneWireContainer1A(DSPortAdapter sourceAdapter, long newAddress)` Create a container with the provided adapter instance and the address of the iButton or 1-Wire device.
`OneWireContainer1A(DSPortAdapter sourceAdapter, String newAddress)` Create a container with the provided adapter instance and the address of the iButton or 1-Wire device.

Method Summary
`String` | `getAlternateNames()` Get the alternate Dallas Semiconductor part numbers or names.
`String` | `getDescription()` Get a short description of the function of this iButton or 1-Wire Device type.
`int` | `getMaxSpeed()` Get the maximum speed this iButton or 1-Wire device can communicate at.
`Enumeration` | `getMemoryBanks()` Get an enumeration of memory bank instances that implement one or more of the following interfaces: `MemoryBank`, `PagedMemoryBank`, and `OTPMemoryBank`.
`String` | `getName()` Get the Dallas Semiconductor part number of the iButton or 1-Wire Device as a string.

Methods inherited from class com.dalsemi.onewire.container.OneWireContainer
`doSpeed, getAdapter, getAddress, getAddressAsLong, getAddressAsString, isAlarming, isPresent, setSpeed, setupContainer, setupContainer, setupContainer`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OneWireContainer1A

    public OneWireContainer1A()

  Create an empty container that is not complete until after a call to `setupContainer`.

  This is one of the methods to construct a container. The others are through creating a OneWireContainer with parameters.

  See Also:
    `super.setupContainer()`

### OneWireContainer1A

    public OneWireContainer1A(DSPortAdapter sourceAdapter,
                              byte[] newAddress)

  Create a container with the provided adapter instance and the address of the iButton or 1-Wire device.

  This is one of the methods to construct a container. The other is through creating a OneWireContainer with NO parameters.

  Parameters:
    `sourceAdapter` - adapter instance used to communicate with this iButton
    `newAddress` - `Address` of this 1-Wire device
  See Also:
    `OneWireContainer1A`, `utils.Address`

### OneWireContainer1A

    public OneWireContainer1A(DSPortAdapter sourceAdapter,
                              long newAddress)

  Create a container with the provided adapter instance and the address of the iButton or 1-Wire device.

  This is one of the methods to construct a container. The other is through creating a OneWireContainer with NO parameters.

  Parameters:
    `sourceAdapter` - adapter instance used to communicate with this 1-Wire device
    `newAddress` - `Address` of this 1-Wire device
  See Also:
    `OneWireContainer1A`, `utils.Address`

### OneWireContainer1A

    public OneWireContainer1A(DSPortAdapter sourceAdapter,
                              String newAddress)

  Create a container with the provided adapter instance and the address of the iButton or 1-Wire device.

  This is one of the methods to construct a container. The other is through creating a OneWireContainer with NO parameters.

  Parameters:
    `sourceAdapter` - adapter instance used to communicate with this 1-Wire device
    `newAddress` - `Address` of this 1-Wire device
  See Also:
    `OneWireContainer1A`, `utils.Address`

Method Detail

### getName

    public String getName()

  Get the Dallas Semiconductor part number of the iButton or 1-Wire Device as a string. For example 'DS1992'.
  Overrides:
    `getName` in class `OneWireContainer`
  Returns:
    iButton or 1-Wire device name

### getAlternateNames

    public String getAlternateNames()

  Get the alternate Dallas Semiconductor part numbers or names. A 'family' of 1-Wire Network devices may have more than one part number depending on packaging. There can also be nicknames such as 'Crypto iButton'.
  Overrides:
    `getAlternateNames` in class `OneWireContainer`
  Returns:
    1-Wire device alternate names

### getDescription

    public String getDescription()

  Get a short description of the function of this iButton or 1-Wire Device type.
  Overrides:
    `getDescription` in class `OneWireContainer`
  Returns:
    device description

### getMaxSpeed

    public int getMaxSpeed()

  Get the maximum speed this iButton or 1-Wire device can communicate at. Override this method if derived iButton type can go faster then SPEED_REGULAR(0).
  Overrides:
    `getMaxSpeed` in class `OneWireContainer`
  Returns:
    maximum speed
  See Also:
    `super.setSpeed`, `DSPortAdapter.SPEED_REGULAR`, `DSPortAdapter.SPEED_OVERDRIVE`, `DSPortAdapter.SPEED_FLEX`

### getMemoryBanks

    public Enumeration getMemoryBanks()

  Get an enumeration of memory bank instances that implement one or more of the following interfaces: `MemoryBank`, `PagedMemoryBank`, and `OTPMemoryBank`.
  Overrides:
    `getMemoryBanks` in class `OneWireContainer`
  Returns:
    `Enumeration` of memory banks

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD